optparse-applicative-0.13.0.0: Utilities and combinators for parsing command line options

Safe Haskell | Safe
Language | Haskell98

Options.Applicative.Help.Types

Synopsis

- data ParserHelp = ParserHelp {
  - helpError :: Chunk Doc
  - helpHeader :: Chunk Doc
  - helpUsage :: Chunk Doc
  - helpBody :: Chunk Doc
  - helpFooter :: Chunk Doc
  }
- renderHelp :: Int -> ParserHelp -> String

# Documentation

data ParserHelp #

Constructors

ParserHelp |
Fields helpError :: Chunk Doc helpHeader :: Chunk Doc helpUsage :: Chunk Doc helpBody :: Chunk Doc helpFooter :: Chunk Doc

Instances

Show ParserHelp # |
Methods showsPrec :: Int -> ParserHelp -> ShowS # show :: ParserHelp -> String # showList :: [ParserHelp] -> ShowS #
Semigroup ParserHelp # |
Methods (<>) :: ParserHelp -> ParserHelp -> ParserHelp # sconcat :: NonEmpty ParserHelp -> ParserHelp # stimes :: Integral b => b -> ParserHelp -> ParserHelp #
Monoid ParserHelp # |
Methods mempty :: ParserHelp # mappend :: ParserHelp -> ParserHelp -> ParserHelp # mconcat :: [ParserHelp] -> ParserHelp #

renderHelp :: Int -> ParserHelp -> String #

Convert a help text to `String`.